package org.gcube.portlets.user.accountingdashboard.shared.data;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * 
 * @author Giancarlo Panichi
 *
 */
public class SeriesData implements Serializable {

	private static final long serialVersionUID = 3308676516412447011L;
	private String label;
	private ArrayList<RecordData> dataRow;

	public SeriesData() {
		super();
	}

	public SeriesData(String label, ArrayList<RecordData> dataRow) {
		super();
		this.label = label;
		this.dataRow = dataRow;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public ArrayList<RecordData> getDataRow() {
		return dataRow;
	}

	public void setDataRow(ArrayList<RecordData> dataRow) {
		this.dataRow = dataRow;
	}

	@Override
	public String toString() {
		return "SeriesData [label=" + label + ", dataRow=" + dataRow + "]";
	}

}
